<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@android:color/transparent"
    android:orientation="vertical"
    app:ignore="NamespaceTypo">

    <androidx.cardview.widget.CardView xmlns:card_view="http://schemas.android.com/apk/res-auto"
        android:id="@+id/report_cardview"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        card_view:cardBackgroundColor="@android:color/transparent"
        card_view:cardCornerRadius="10dp"
        card_view:cardElevation="1dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/colorPrimary"
                android:orientation="horizontal"
                android:weightSum="10">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="2"
                    />

                <TextView
                    android:id="@+id/txt_bar_code"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="7"
                    android:gravity="center_vertical"
                    android:padding="10dp"
                    android:text="Suggestion"
                    android:textColor="@color/white"
                    android:textSize="@dimen/text_size_small"
                    android:textStyle="normal" />

                <ImageView
                    android:id="@+id/dismiss_dialog"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:src="@mipmap/cancel_icon" />

            </LinearLayout>

            <!--  ////bfgfgfgfv-->

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="4dp"
                app:cardBackgroundColor="@color/white"
                app:cardCornerRadius="@dimen/nav_header_vertical_spacing"
                app:cardElevation="2dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical">


                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_weight="7"
                        android:gravity="center_vertical"
                        android:padding="@dimen/appbar_padding_top"
                        android:text="Would you like to Buy any on the following Items"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/text_size_small"
                        android:textStyle="normal" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/previoush_recycl"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"/>

                    <Button
                        android:id="@+id/ok"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_margin="@dimen/custom_margin"
                        android:background="@color/colorPrimaryDark"
                        android:text="OK"
                        android:textColor="@color/white" />
                </LinearLayout>
            </androidx.cardview.widget.CardView>

        </LinearLayout>

    </androidx.cardview.widget.CardView>
</LinearLayout>